# Update account Update some account information. Fields not passed are not updated. This endpoint generates an [Account information changed](https://developers.pismo.io/events/docs/account-account-change-2) event. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Accounts", "description": "Endpoints to manage accounts" } ], "components": { "parameters": { "AccountIdPath": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "schema": { "type": "integer", "format": "int64", "minimum": 1, "example": 123 } } }, "schemas": { "AccountName": { "type": "string", "description": "Custom account's name", "maxLength": 60, "example": "Account cash management" }, "IsCentralizer": { "type": "boolean", "description": "Is this a centralizer account? A centralizer account, within the account hierarchy, is the account responsible for invoice billing. Defaults to `false`.", "example": false }, "CustomFields": { "type": "object", "description": "Key/value field for custom information. (Limited to 1014 bytes.)", "example": { "field_01": "value01", "field_02": "value02" } }, "DivisionID": { "type": "integer", "format": "int64", "description": "Account's administrative division ID", "example": 2856813 }, "ExternalId": { "type": "string", "description": "Customer-provided external ID field for customer monitoring and tracking.", "maxLength": 60, "example": "9erqwerncsodignlkd80we4ty" }, "ParentAccountID2": { "type": "integer", "format": "int64", "example": 1, "description": "Parent account ID. Enter `null` to unlink an account." }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "UpdateAccountInformationRequest": { "type": "object", "description": "Update account information", "properties": { "custom_fields": { "$ref": "#/components/schemas/CustomFields" }, "division_id": { "$ref": "#/components/schemas/DivisionID" }, "account_name": { "$ref": "#/components/schemas/AccountName" }, "parent_account_id": { "$ref": "#/components/schemas/ParentAccountID2" }, "external_id": { "$ref": "#/components/schemas/ExternalId" }, "centralizer": { "$ref": "#/components/schemas/IsCentralizer" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/accounts/{accountId}": { "patch": { "operationId": "patch-accounts-v1-accounts", "summary": "Update account", "description": "Update some account information. Fields not passed are not updated.\n\nThis endpoint generates an [Account information changed](https://developers.pismo.io/events/docs/account-account-change-2) event.\n", "tags": [ "Accounts" ], "parameters": [ { "$ref": "#/components/parameters/AccountIdPath" } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateAccountInformationRequest" } } } }, "responses": { "200": { "description": "OK" }, "401": { "description": "Unauthorized access", "content": { "application/json": { "schema": { "properties": { "message": { "type": "string", "example": "You cannot access this resource" } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "message": { "type": "string", "example": "Account not found with id: 123456789" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Not possible to update custom fields." } } } } } } } } } } } ```